Set monitored tokens
curl --request POST \
--url https://api.circle.com/v1/w3s/config/entity/monitoredTokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokenIds": [
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
]
}
'import requests
url = "https://api.circle.com/v1/w3s/config/entity/monitoredTokens"
payload = { "tokenIds": ["a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tokenIds: ['a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11']})
};
fetch('https://api.circle.com/v1/w3s/config/entity/monitoredTokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tokens": [
{
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"blockchain": "MATIC-AMOY",
"isNative": true,
"updateDate": "2023-01-01T12:04:05Z",
"createDate": "2023-01-01T12:04:05Z",
"name": "<string>",
"decimals": 123,
"symbol": "<string>",
"tokenAddress": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350"
}
]
}
}{
"data": {
"tokens": [
{
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"blockchain": "MATIC-AMOY",
"isNative": true,
"updateDate": "2023-01-01T12:04:05Z",
"createDate": "2023-01-01T12:04:05Z",
"name": "<string>",
"decimals": 123,
"symbol": "<string>",
"tokenAddress": "0xca9142d0b9804ef5e239d3bc1c7aa0d1c74e7350"
}
]
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}Set monitored tokens
Add a new token to the monitored token list.
POST
/
v1
/
w3s
/
config
/
entity
/
monitoredTokens
Set monitored tokens
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Body
application/json
Request body
The list of tokens to add to the monitored tokens list. When fetching wallet balances, only these tokens will be shown by default.
Minimum array length:
1System-generated unique identifier of the resource.
Example:
["a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"]
Response
Success and no update happened
Show child attributes
Show child attributes
Was this page helpful?
⌘I